//
//  yTTPhotoSource.h
//  three20_example
//
//  Created by shvns shvns on 8/19/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "three20/Three20.h"

@interface yTTPhotoSource : TTURLRequestModel<TTPhotoSource> 
{
@private
    NSMutableArray          *_photos;
    NSString                *_title;
}

- (id)initWithPhoto:(NSArray *)photos title:(NSString *)title;

@property (nonatomic, copy) NSString* title;
@property (nonatomic, readonly) NSInteger numberOfPhotos;
@property (nonatomic, readonly) NSInteger maxPhotoIndex;

- (id<TTPhoto>)photoAtIndex:(NSInteger)index;

@end
